Subject: Re: [PATCHv4 net-next] bonding: add software tx timestamping support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 17 Apr 2023 11:47:10 -0700

On Mon, 17 Apr 2023 08:17:39 +0800 Hangbin Liu wrote:
> I remember why I use bond_for_each_slave_rcu() here now. In commit
> 9b80ccda233f ("bonding: fix missed rcu protection"), I added the
> rcu_read_lock() as syzbot reported[1] the following path doesn't hold
> rtnl lock.
> - sock_setsockopt
>   - sock_set_timestamping
>     - sock_timestamping_bind_phc
>       - ethtool_get_phc_vclocks
>         - __ethtool_get_ts_info
> 	  - bond_ethtool_get_ts_info

Well spotted, okay :(
Could you respin with this info added to the commit message and an
update to the kdoc in include/linux/ethtool.h for @get_ts_info
that it may be called with RCU, or rtnl or reference on the device?